class Panel::PersonalConference::FrontEnd::WritingConferencesController < OrbitWidgetController

  def initialize
    super
    @app_title = 'personal_conference'
  end
  

  def index
	
	@writing_conferences = WritingConference.where(:is_hidden => false).desc(:year,:period_start_date).page(params[:page]).per(10)
	
  end

  # GET /writing_conferences/1
  # GET /writing_conferences/1.xml
  def show
    @writing_conference = WritingConference.find(params[:id])
	
	@conference_paper_types = ( !@writing_conference.conference_paper_types.blank? ? @writing_conference.conference_paper_types.collect{|x| x.title}.join(', ') : nil)
	@conference_author_types = ( !@writing_conference.conference_author_types.blank? ? @writing_conference.conference_author_types.collect{|x| x.title}.join(', ') : nil)
  
  end
  
  
end
